using Antlr.Runtime;
namespace ManagedMyC
{
    partial class MyCLexer
    {
        public MyCLexer( string input )
            : this( new ANTLRStringStream( input ) )
        {
        }

        public bool InBlockComment
        {
            get;
            set;
        }
        public MyCErrorHandler Handler
        {
            get;
            set;
        }

        public override IToken NextToken()
        {
            IToken next = base.NextToken();

            if ( next.Type != EOF && InBlockComment && next.Type != COMMENT )
            {
                if ( next.Type == END_BLOCK_COMMENT )
                    InBlockComment = false;

                next.Type = COMMENT;
                next.Channel = HIDDEN;
            }

            return next;
        }
    }
}
