﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.VisualStudio.Package;

namespace ManagedMyC
{
    public class MyCDeclarations : Declarations
    {
        IList<Declaration> _declarations;

        public MyCDeclarations( IList<Declaration> declarations )
        {
            _declarations = declarations;
        }

        public override int GetCount()
        {
            return _declarations.Count;
        }
        public override string GetDescription( int index )
        {
            return _declarations[index].Description;
        }
        public override string GetDisplayText( int index )
        {
            return _declarations[index].DisplayText;
        }
        public override int GetGlyph( int index )
        {
            return _declarations[index].Glyph;
        }
        public override string GetName( int index )
        {
            if ( index >= 0 )
                return _declarations[index].Name;

            return null;
        }
    }
}
